﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Pivot.DataProviders;

namespace RadPivotGrid_WPF_574889_CustomProvider
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            LocalDataSourceProvider dataProvider = this.Resources["DataProvider"] as LocalDataSourceProvider;
            dataProvider.ItemsSource = GeneratePivotData();
            this.Pivot.DataProvider = dataProvider;
            this.FieldList.DataProvider = dataProvider;
            dataProvider.Refresh();
        }

        private static IList<Product> GeneratePivotData()
        {
            IList<Product> PivotData = new List<Product>()
            {
                new Product() { Name = "Pen", Date = new DateTime(2012,1,1,0,0,0), Price = 10.40, Quantity = 148, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Pen", Date = new DateTime(2012,2,1,0,0,0), Price = 10.99, Quantity = 122, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,3,1,0,0,0), Price = 11.24, Quantity = 80, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,4,1,0,0,0), Price = 11.24, Quantity = 90, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,5,1,0,0,0), Price = 11.14, Quantity = 140, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,6,1,0,0,0), Price = 10.89, Quantity = 162, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,7,1,0,0,0), Price = 10.89, Quantity = 181, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Pen", Date = new DateTime(2012,8,1,0,0,0), Price = 10.88, Quantity = 180, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Pen", Date = new DateTime(2012,9,1,0,0,0), Price = 11.00, Quantity = 116, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,10,1,0,0,0), Price = 10.99, Quantity = 128, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,11,1,0,0,0), Price = 10.95, Quantity = 145, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pen", Date = new DateTime(2012,12,1,0,0,0), Price = 10.45, Quantity = 189, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,1,1,0,0,0), Price = 5.22, Quantity = 100, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,2,1,0,0,0), Price = 5.99, Quantity = 85, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,3,1,0,0,0), Price = 6.04, Quantity = 80, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,4,1,0,0,0), Price = 6.28, Quantity = 72, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,5,1,0,0,0), Price = 6.12, Quantity = 99, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,6,1,0,0,0), Price = 6.59, Quantity = 40, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,7,1,0,0,0), Price = 6.29, Quantity = 68, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,8,1,0,0,0), Price = 5.99, Quantity = 95, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,9,1,0,0,0), Price = 5.89, Quantity = 120, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,10,1,0,0,0), Price = 5.99, Quantity = 105, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,11,1,0,0,0), Price = 5.96, Quantity = 111, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Pencil", Date = new DateTime(2012,12,1,0,0,0), Price = 5.99, Quantity = 108, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Notebook", Date = new DateTime(2012,1,1,0,0,0), Price = 22.86, Quantity = 88, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Notebook", Date = new DateTime(2012,2,1,0,0,0), Price = 23.02, Quantity = 95, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Notebook", Date = new DateTime(2012,3,1,0,0,0), Price = 23.22, Quantity = 102, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Notebook", Date = new DateTime(2012,4,1,0,0,0), Price = 21.99, Quantity = 95, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Notebook", Date = new DateTime(2012,5,1,0,0,0), Price = 22.45, Quantity = 84, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Notebook", Date = new DateTime(2012,6,1,0,0,0), Price = 22.56, Quantity = 96, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Notebook", Date = new DateTime(2012,7,1,0,0,0), Price = 22.88, Quantity = 88, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Notebook", Date = new DateTime(2012,8,1,0,0,0), Price = 22.42, Quantity = 99, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Notebook", Date = new DateTime(2012,9,1,0,0,0), Price = 22.56, Quantity = 111, IsValid = false, ErrorText = "error"},
                new Product() { Name = "Notebook", Date = new DateTime(2012,10,1,0,0,0), Price = 22.18, Quantity = 102, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Notebook", Date = new DateTime(2012,11,1,0,0,0), Price = 22.93, Quantity = 105, IsValid = false, ErrorText = "error" },
                new Product() { Name = "Notebook", Date = new DateTime(2012,12,1,0,0,0), Price = 22.89, Quantity = 122, IsValid = false, ErrorText = "error" },
            };

            return PivotData;
        }
    }
}
